| Home | Libraries | People | FAQ | More

## Function this_line_location

boost::dll::this_line_location

## Synopsis

    // In header: <boost/dll/runtime_symbol_info.hpp>

    boost::dll::fs::path this_line_location(boost::dll::fs::error_code & ec);
    boost::dll::fs::path this_line_location();

## Description

On success returns full path and name of the binary object that holds the current line of code (the line in which the `this_line_location()` method was called).

Parameters:

`ec` | Variable that will be set to the result of the operation.

Throws: | std::bad_alloc in case of insufficient memory. Overload that does not accept boost::dll::fs::error_code also throws boost::dll::fs::system_error.